#! /bin/sh
#
# International Keymap Pack installation
#

EXT=.kmap
TMPFILE=/tmp/current$EXT
USRMAPDIR=$HOME/config/settings/Keymap

cd `dirname $0`

alert --info 'Installing keymap files. Press OK and wait a minute.

Warning: existing user keymaps may be overwritten.' OK Quit > /dev/null || exit 1

keymap -d > $TMPFILE	# save current keymap
for f in layouts/*$EXT
do
	keymap -l $f
	MAPNAME=`basename $f $EXT`
#	[ -f $USRMAPDIR/$MAPNAME ] && mv $USRMAPDIR/$MAPNAME $USRMAPDIR/$MAPNAME.old
	cp ~/config/settings/Key_map $USRMAPDIR/$MAPNAME
done
keymap -l $TMPFILE	# restore keymap
rm $TMPFILE
[ -f $USRMAPDIR/Swedish          ] && ln -s Swedish          $USRMAPDIR/Finnish
[ -f $USRMAPDIR/US-International ] && ln -s US-International "$USRMAPDIR/Brazilian(standard)"
[ -f $USRMAPDIR/Latin-American   ] && ln -s Latin-American   "$USRMAPDIR/Spanish(modern)"
[ -f $USRMAPDIR/Slovene          ] && ln -s Slovene          $USRMAPDIR/Croatian

alert --info 'Keymap preferences will be invoked now.
Choose your keyboard layout from the "User" column.'
exec Keymap

# below are not executed

case `uname -m` in
BePC|BeBox)
	# AT-PS/2 keyboard or USB keyboard
	alert --empty 'Windows keyboard?' Yes No > /dev/null
	if [ $? = 0 ]
	then
		keymap -l customize/fixmod.kmap
	else
		alert --empty 'Mac USB keyboard?' Yes No > /dev/null &&
		keymap -l customize/fixmod-macusb.kmap
	fi
	;;
BeMac)
	# Mac ADB keyboard
	keymap -l customize/fixmod.kmap
	;;
esac

alert --empty "Swap CapsLock and left Ctrl?" Yes No > /dev/null && \
keymap -l customize/swapcaps.keymap
alert --empty "Swap Esc and the key next to 1?" Yes No > /dev/null && \
sh customize/swapesc.sh

alert --info "Done."
